ELA-141-1 unzip security update

denial-of-service

Packageunzip
Version6.0-8+deb7u7
Related CVE CVE-2019-13232

David Fifield discovered a way to construct non-recursive “zip bombs” that achieve a high compression ratio by overlapping files inside the zip container. However the output size increases quadratically in the input size, reaching a compression ratio of over 28 million (10 MB -> 281 TB) at the limits of the zip format which can cause a denial-of-service. Mark Adler provided a patch to detect and reject such zip files for the unzip program.

For Debian 7 Wheezy, these problems have been fixed in version 6.0-8+deb7u7.

We recommend that you upgrade your unzip packages.

Further information about Extended LTS security advisories can be found at: https://deb.freexian.com/extended-lts/